Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

List Provider Attributes GETCreate Provider Attributes POSTUpdate Provider Attributes PUTDelete Provider Attribute DELETEUpdate Provider Attribute PUT
PeopleTalent pools

Create Provider Attributes


Add new attributes for a specific provider in a talent pool.

POST
/api/rest/v2/talent-pools/{talent_pool_id}/providers/{provider_id}/attributes

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

talent_pool_id*integer

Talent Pool ID

provider_id*integer

Provider ID

Request Body

application/json

List of attributes to create

attributes*array<>

Array of attributes to update

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes" \  -H "Content-Type: application/json" \  -d '{    "attributes": [      {        "name": "preferred_status",        "value": "gold"      },      {        "name": "availability",        "value": "weekends"      }    ]  }'
{
  "attributes": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

List Provider Attributes GET

Previous Page

Update Provider Attributes PUT

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes" \
  -H "Content-Type: application/json" \
  -d '{
    "attributes": [
      {
        "name": "preferred_status",
        "value": "gold"
      },
      {
        "name": "availability",
        "value": "weekends"
      }
    ]
  }'